Package org.codehaus.groovy.runtime.metaclass

# Class MethodMetaProperty

java.lang.Object
groovy.lang.MetaProperty
org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

Direct Known Subclasses:
  `MethodMetaProperty.GetBeanMethodMetaProperty`, `MethodMetaProperty.GetMethodMetaProperty`

public class MethodMetaProperty extends MetaProperty
Wrapper for a method for a property get or set. WARNING: This class is for internal use only, don't use it for your APIs

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MethodMetaProperty.GetBeanMethodMetaProperty`
Wrapper for a method realizing the property getter.
`static class`
`MethodMetaProperty.GetMethodMetaProperty`
Wrapper for a method realizing the property get.

## Field Summary

### Fields inherited from class groovy.lang.MetaProperty

`name, PROPERTY_SET_PREFIX, type`

## Constructor Summary

Constructors
Constructor
Description
`MethodMetaProperty(String name, MetaMethod method)`

## Method Summary

Modifier and Type
Method
Description
`MetaMethod`
`getMetaMethod()`
`Object`
`getProperty(Object object)`
`void`
`setProperty(Object object, Object newValue)`
Sets the property on the given object to the new value

### Methods inherited from class groovy.lang.MetaProperty

`getGetterName, getModifiers, getName, getSetterName, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodMetaProperty

public MethodMetaProperty(String name, MetaMethod method)

## Method Details

### getProperty

public Object getProperty(Object object)

Specified by:
  `getProperty` in class `MetaProperty`
Returns:
  the property of the given object

### setProperty

public void setProperty(Object object, Object newValue)
Description copied from class: `MetaProperty`
Sets the property on the given object to the new value

Specified by:
  `setProperty` in class `MetaProperty`
Parameters:
  `object` - on which to set the property
  `newValue` - the new value of the property

### getMetaMethod

public MetaMethod getMetaMethod()